petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectoryView

Prints information about the trajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryView(TSTrajectory tj,PetscViewer viewer)

Collective on TSTrajectory

### Input Parameters

| tj | - the TSTrajectory context obtained from TSTrajectoryCreate()
| viewer | - visualization context

### Options Database Key

-ts_trajectory_view -calls TSTrajectoryView() at end of TSAdjointStep()

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

TS, trajectory, timestep, view

### See Also

PetscViewerASCIIOpen()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages